> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get penalties



## OpenAPI

````yaml /openapi/cars.json get /v1/cars/penalties/{id}/
openapi: 3.0.3
info:
  title: Yume API — ERAP
  version: 1.0.0
  description: 'Интеграция с ЕРАП: автомобили и синхронизация.'
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/cars/penalties/{id}/:
    get:
      tags:
        - penalties
      summary: Get penalties
      operationId: penalties_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
        - $ref: '#/components/parameters/TenantId'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErapPenalty'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    ErapPenalty:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        outer_id:
          type: integer
          readOnly: true
          title: ID в ЕРАП
        protocol_number:
          type: string
          title: Номер протокола
          maxLength: 255
        description:
          type: string
          nullable: true
          title: Описание нарушения
        department_name:
          type: string
          nullable: true
          title: Орган, выявивший правонарушение
          maxLength: 255
        punishment_main:
          type: string
          nullable: true
          title: Основная мера наказания
          maxLength: 255
        amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          nullable: true
          title: Сумма штрафа
        violation_address:
          type: string
          nullable: true
          title: Адрес нарушения
        violated_at:
          type: string
          format: date-time
          readOnly: true
        violation_date:
          type: string
          format: date
          nullable: true
          title: Дата нарушения
        violation_time:
          type: string
          format: time
          nullable: true
          title: Время нарушения
        paid:
          type: boolean
          title: Оплачен
        payment_date:
          type: string
          format: date-time
          nullable: true
          title: Дата оплаты
        discount_expires_at:
          type: string
          format: date-time
          nullable: true
          title: Дата истечения скидки
        payment_kno:
          type: string
          nullable: true
          title: КНО
          maxLength: 255
        payment_kbk:
          type: string
          nullable: true
          title: КБК
          maxLength: 255
        payment_knp:
          type: string
          nullable: true
          title: КНП
          maxLength: 255
        beneficiary_tax_office_name:
          type: string
          nullable: true
          title: Название налогового органа
          maxLength: 255
        beneficiary_tax_iban:
          type: string
          nullable: true
          title: IBAN налогового органа
          maxLength: 255
        beneficiary_tax_bin_number:
          type: string
          nullable: true
          title: БИН налогового органа
          maxLength: 255
        pdf:
          type: string
          format: uri
          nullable: true
          title: PDF протокола
        photo_urls:
          type: array
          items:
            type: string
            format: uri
            maxLength: 200
          title: Ссылки на фото нарушения
        car:
          allOf:
            - $ref: '#/components/schemas/ErapCar'
          readOnly: true
        driver:
          allOf:
            - $ref: '#/components/schemas/ErapDriver'
          readOnly: true
        company:
          allOf:
            - $ref: '#/components/schemas/ErapCompany'
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
        state:
          type: integer
          nullable: true
        inventory:
          type: string
          readOnly: true
        request:
          type: string
          readOnly: true
        client:
          type: string
          readOnly: true
        noted:
          type: boolean
          title: Просмотрен
      required:
        - car
        - client
        - company
        - created_at
        - driver
        - id
        - inventory
        - outer_id
        - protocol_number
        - request
        - updated_at
        - violated_at
    ErapCar:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        outer_id:
          type: integer
          maximum: 9223372036854776000
          minimum: -9223372036854776000
          format: int64
          title: ID в ЕРАП
        number:
          type: string
          title: Номер автомобиля
          maxLength: 20
        tech_passport:
          type: string
          title: Номер техпаспорта
          maxLength: 255
        published_at:
          type: string
          format: date-time
          nullable: true
          title: Дата активации
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
      required:
        - created_at
        - id
        - number
        - outer_id
        - tech_passport
        - updated_at
    ErapDriver:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        outer_id:
          type: integer
          maximum: 9223372036854776000
          minimum: -9223372036854776000
          format: int64
          title: ID в ЕРАП
        iin_number:
          type: string
          nullable: true
          title: ИИН
          maxLength: 12
        doc_number:
          type: string
          nullable: true
          title: Номер удостоверения
          maxLength: 255
        doc_issue_date:
          type: string
          format: date
          nullable: true
          title: Дата выдачи удостоверения
        first_name:
          type: string
          nullable: true
          title: Имя
          maxLength: 255
        last_name:
          type: string
          nullable: true
          title: Фамилия
          maxLength: 255
        middle_name:
          type: string
          nullable: true
          title: Отчество
          maxLength: 255
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
      required:
        - created_at
        - id
        - outer_id
        - updated_at
    ErapCompany:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        outer_id:
          type: integer
          maximum: 9223372036854776000
          minimum: -9223372036854776000
          format: int64
          nullable: true
          title: ID в ЕРАП
        bin_number:
          type: string
          nullable: true
          title: БИН
          maxLength: 12
        bin_date:
          type: string
          format: date
          nullable: true
          title: Дата регистрации БИН
        name:
          type: string
          nullable: true
          title: Название компании
          maxLength: 255
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
      required:
        - created_at
        - id
        - updated_at
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````